Patchwork [21/22] dependencies: check that a full perl installation is available

login
register
mail settings
Submitter Thomas Petazzoni
Date March 24, 2013, 8:26 a.m.
Message ID <1364113606-20836-22-git-send-email-thomas.petazzoni@free-electrons.com>
Download mbox | patch
Permalink /patch/230399/
State Accepted
Commit 876e91dc447d874ac17ea1038e836655f24e6750
Headers show

Comments

Thomas Petazzoni - March 24, 2013, 8:26 a.m.
The host-autoconf build process requires a full Perl installation, or
at least a Perl installation that has the Data::Dumper module
installed. On a basic Debian system, only 'perl-base' is installed,
but Data::Dumper is in the 'perl' package.

Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
---
 support/dependencies/dependencies.sh |    8 ++++++++
 1 file changed, 8 insertions(+)

\ No newline at end of file
Peter Korsgaard - March 24, 2013, 12:57 p.m.
>>>>> "Thomas" == Thomas Petazzoni <thomas.petazzoni@free-electrons.com> writes:

 Thomas> The host-autoconf build process requires a full Perl installation, or
 Thomas> at least a Perl installation that has the Data::Dumper module
 Thomas> installed. On a basic Debian system, only 'perl-base' is installed,
 Thomas> but Data::Dumper is in the 'perl' package.

Committed, thanks.

Patch

diff --git a/support/dependencies/dependencies.sh b/support/dependencies/dependencies.sh
index c11d362..5fb4c19 100755
--- a/support/dependencies/dependencies.sh
+++ b/support/dependencies/dependencies.sh
@@ -192,3 +192,11 @@  if grep -q ^BR2_HOSTARCH_NEEDS_IA32_LIBS=y $BUILDROOT_CONFIG ; then
 	exit 1
     fi
 fi
+
+# Check that the Perl installation is complete enough to build
+# host-autoconf.
+if ! perl  -e "require Data::Dumper" > /dev/null 2>&1 ; then
+    /bin/echo -e "Your Perl installation is not complete enough, at least Data::Dumper is missing."
+    /bin/echo -e "On Debian/Ubuntu distributions, install the 'perl' package."
+    exit 1
+fi